ApiEmbed widget
Streams the agent's replies and liveness for the session over Server-Sent Events.
Long-lived SSE connection. Durable events are reply, blocked and failed; ephemeral events are typing and status. On reconnect, use the messages cursor to replay missed durable events. typing and status are not replayed.
curl -X GET "https://api.fruxon.com/v1/embed/sessions/string/stream"{
"tenantId": "00000000-0000-0000-0000-000000000000",
"sessionId": "string",
"kind": "REPLY",
"text": "string",
"target": "string",
"at": 0,
"executionRecordId": "00000000-0000-0000-0000-000000000000",
"messageId": "00000000-0000-0000-0000-000000000000",
"medium": "TEXT",
"interrupted": false,
"deliveredDurationMs": 0,
"spokenDelivery": "PENDING"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}